main {
	flex-grow: 0;
	margin-bottom: 2em;
}

main form {
	max-width: 30em;
	margin: auto;
}

main form .webtext,
main form .webinput {
	display: flex;
	justify-content: space-between;
}

main form .optional {
	display: block;
	text-align: center;
	margin: .5em;
}

main form input,
main form textarea {
	width: 100%;
	box-sizing: border-box;
	background-color: black;
	color: white;
	border: 2px solid white;
	margin: .5em;
}

main form textarea {
	max-width: 100%;
	min-width: 100%;
	min-height: 2em;
	height: 5em;
}

button {
	background-color: black;
	border: 5px double white;
	color: white;
}

button:hover {
	color: lightgray;
}

button:active {
	color: red;
}

details summary {
	text-align: center;
}

#entriesd section {
	display: block;
	background-color: black;
	color: white; /* all text inside is white */
	border: 6px double white;

	width: 100%;
	max-width: 55em;

	margin: auto; /* centered */
	margin-bottom: 2em;
	padding: 0 1em;
	box-sizing: border-box; /* border causes overflow by default */
}

#entriesd section .header {
	display: flex;
	flex-direction: row;
	justify-content: space-between;

	margin: 0 -1em;
	padding: 1em;

	border-bottom: 2px solid white;
}

#entriesd section .header *,
#entriesd section .footer {
	margin: 0;
}

#entriesd section .footer {
	display: flex;
	flex-direction: row;
	justify-content: space-between;

	margin: 0 -1em;
	padding: 1em;
}

#entriesd section .footer .seereplyb:disabled {
	display: none;
}

div.repliesd section {
	border: 2px solid white !important;
	margin-bottom: 1.2em !important;
}